Page MenuHomeFreeBSD

gpiobus: provide a new hint, pin_list
ClosedPublic

Authored by avg on May 29 2019, 10:58 AM.

Details

Summary

"pin_list" allows to specify child pins as a list of pin numbers.
Existing hint "pins" serves the same purpose but with a 32-bit wide bit
mask. One problem with that is that a controller can have more than 32
pins. One example is amdgpio. Also, a list of numbers is a little bit
more human friendly than a matching bit mask. As a side note, it seems
that in FDT pins are typically specified by their numbers as well.

This commit also adds accessors for instance variables (IVARs) that
define the child pins. My primary goal is to allow a child to be
configured programmatically rather than via hints (assuming that FDT is
not supported on a platform). Also, while a child should not care about
specific pin numbers that are allocated to it, it could be interested in
how many it has.

While there, I removed "flags" instance variable. It was unused.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

avg created this revision.May 29 2019, 10:58 AM
avg added a comment.Jun 19 2019, 3:08 PM

Anyone interested?
Opinions, comments?

mizhka accepted this revision.Jun 20 2019, 10:58 AM
This revision is now accepted and ready to land.Jun 20 2019, 10:58 AM
This revision was automatically updated to reflect the committed changes.